
(function(root, factory) {
	if(typeof module !== 'undefined' && typeof exports === 'object') {
		module.exports = factory(root.Common);
	} else if(typeof define === "function" && define.amd) {
		define(["Common"], function(Common) {
			return(root.Common = factory(Common));
		});
	} else {
		root.Common = factory(root.Common);
	}
}(this, function(Common) {
	Common = {
		version: "1.0.2",
		domain: "http://47.92.36.91:8086",
		//api: "http://tt.ttttt.cn",
		open: function(id, url, extras) {
			mui.openWindow({
				id: id,
				url: url,
				waiting: {
					autoShow: false
				},
				extras: extras || {}
			});
		},
		showWaiting: function(msg) {
			return plus.nativeUI.showWaiting(msg ? msg : "正在加载请稍后...", {
				loading: {
					icon: "/images/waiting.png"
				},
				padlock: true
			});
		},
		closeWaiting: function(w) {
          w.close();  
		 
			 
		}
	};
	return Common;
}));


 
 
function UserInfo(){};
 
//清除登录信息
UserInfo.clear = function(){
    localStorage.removeItem('username');
    localStorage.removeItem('token');
}

 
//检查是否已登录
UserInfo.has_login = function(){
	try{
    var username = UserInfo.username();
    var token = UserInfo.token();
    if(!username || !token){
        return false;
    }
      return true;
   }catch (e){  return true;}
  
};

UserInfo.username = function(){
    if(arguments.length == 0){
        return localStorage.getItem('username');        
    }
    if(arguments[0] === ''){
        localStorage.removeItem('username');
        return;
    }
    localStorage.setItem('username', arguments[0]);
};

 

UserInfo.token = function(){
    if(arguments.length == 0){
        return localStorage.getItem('token');       
    }
    if(arguments[0] === ''){
        localStorage.removeItem('token');
        return;
    }
    localStorage.setItem('token', arguments[0]);
};

function get_localStorage(key,mrzhi)
{
 var zhi=localStorage.getItem(key); 
 if(!zhi||zhi=="")
 {
 	return mrzhi;
 }
	return zhi;
}


 function login_out()
 {
 	UserInfo.token('');
 	UserInfo.username('');
 	
 }


//可以自动关闭的提示手机
function jsprint(msgtitle, url, msgcss, callback) {
 
    if (msgcss == undefined || msgcss=="") { msgcss = "Success"; }

    //    type: msgcss,////图标类型 warning|error|success|confirm
 
    msgcss = msgcss.toLowerCase();

    if (msgcss == "error") {
        var btnArray = ['确定'];
        mui.alert(msgtitle, "游澳打车", btnArray,"", "div");

    } else if (msgcss == "success") {

        mui.toast(msgtitle);
    } else if (msgcss == "confirm") {
        var btnArray = ['取消', '确定'];
        mui.confirm(msgtitle, "游澳打车", btnArray,  function(e) {
            if (e.index == 1) {
                if (typeof (callback) == "function") callback();
                
            } else {
                //  alert(选择了否);
            }

            return;
            },"div")


 
    }
 


    //2秒后清除提示
    setTimeout(function () {
        if (url == "back") {
            history.back(-1);
        } else if (url != undefined && url != "") {
            location.replace(url);
        }

    }, 2000);
    //执行回调函数
    if (typeof (callback) == "function") callback();



}



function jsprint_confirm(msgtitle, callback) {

    var btnArray = ['取消', '确定'];
    mui.confirm(msgtitle, "游澳打车", btnArray, function (e) {
        if (e.index == 1) {
            if (typeof (callback) == "function") callback();

        } else {
            //  alert(选择了否);
        }

        return;
    },"div")


}

function js_alert(title) {

    mui.alert(title, "", "", "", "div");

}

 function open_window(href,idd,createNew,extras){
       
    var aniShow = "pop-in";
    var id = href;
    if(createNew==undefined){createNew=false;}
    //alert(createNew)
     mui.openWindow({
                    id: idd,
                    url: href,
                    styles: {
                        popGesture: 'close'
                    },
                    show: {
                        aniShow: aniShow
                    }, 
          			extras: extras || {},
                    createNew: createNew,
                    waiting:{
                        autoShow:true,//自动显示等待框，默认为true
                        title:'正在加载...' //等待对话框上显示的提示内容
                       
                          }
                });
            
   return false;
   
 }
 
 
 
function z_open_window(url,title){
	
   //var styles = {errorPage:"error.html"};// 设置为“none”则关闭此Webview窗口的跳转到错误页面功能
   //var embed = plus.webview.create(href, idd ,styles);
    Common.open("webview.html", "webview.html", {title: title, url: url});
}

 
function z_open_window2(url,title){
	
   //var styles = {errorPage:"error.html"};// 设置为“none”则关闭此Webview窗口的跳转到错误页面功能
   //var embed = plus.webview.create(href, idd ,styles);
    Common.open("webview2.html", "webview2.html", {title: title, url: url});
}


function zh_object( key)
{ 
	 var value = localStorage.getItem(key);
     return value && JSON.parse(value);
 
}


 
function z_Request(name)
{
   
  var zRequest = GetRequest();
  var key = zRequest[name];
  if(key==undefined)
  {
  	return "";
  }
return key;
 
}
 
function GetRequest() {
var url = location.search; //获取url中"?"符后的字串 
var theRequest = new Object();
if (url.indexOf("?") != -1) {
var str = url.substr(1);
strs = str.split("&");
for (var i = 0; i < strs.length; i++) {
theRequest[strs[i].split("=")[0]] = unescape(strs[i].split("=")[1]);
}
}
return theRequest;
}

     //四舍五入函数
function ForDight(Dight, How) {
        Dight = Math.round(Dight * Math.pow(10, How)) / Math.pow(10, How);
        return Dight;
    }
 
 

 